summaryrefslogtreecommitdiff
path: root/src/profile.sh
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-09-15 00:22:26 +0100
committerdavidovski <david@davidovski.xyz>2022-09-15 00:22:26 +0100
commit31be9f6f20bac11120b8064c5a8ba78e4c713ade (patch)
tree6712847c8e81369458c18920bda2d72bb48a1099 /src/profile.sh
parent62ac6c319289550931696346ce08f2c0ed70fc0d (diff)
Fixed breaking if missing conf file
Diffstat (limited to 'src/profile.sh')
-rwxr-xr-xsrc/profile.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/src/profile.sh b/src/profile.sh
index 165bf0a..6eb3bbf 100755
--- a/src/profile.sh
+++ b/src/profile.sh
@@ -8,6 +8,8 @@ export HBAR_RED="-c ${BLACK}${BG_RED}"
export CONF_FILE="/etc/xipkg.conf"
+[ ! -f "$CONF_FILE" ] && echo "No config found!" && exit 1
+
export CURL_OPTS="-sSL"
export DEFAULT_OPTION=$(parseconf -v default_cmd)